Order Inquiry
Query payment order status and details
Query the current status and full details of a payment order by preSn or
outerOrder. Response includes fiat and crypto amounts, exchange rate,
channel/wallet identifiers, transaction IDs and relevant timestamps.
When the original payment was tagged, response also includes optional subMerchantCode.
Header Parameters
X-R-Ts*string
request timestamp in milliseconds
X-R-Ak*string
merchant's appKey
X-R-Signature*string
request signature
X-R-Key-Version?string
merchant's private key version, default is 1
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/openapi/v2/order/detail" \ -H "X-R-Ts: 1762327084929" \ -H "X-R-Ak: string" \ -H "X-R-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "outerOrderSn": "ORD20260101001", "orderSn": "PRE20260000001" }'"open api common response"{ "code": "paramFormatError", "message": "request param invalid"}{ "code": "authorizationInvalid", "message": "authorizationInvalid invalid"}{ "code": "notInWhiteList", "message": "request ip not in the white list"}{ "code": "frequencyLimited", "message": "Too many requests, please try again later"}